> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# عرض المسارات

> عرض مسارات البوابة المدعومة بالقدرات مع المسارات العامة وتغطية النماذج والمزوّدين.

* `endpoints`: معرّفات المسارات الأساسية التي تعرضها API حاليًا
* `data`: سجلات المسارات التي تتضمن `public_path` و`collection` و`model_count` و`provider_count`
* `sample_models`: ما يصل إلى 10 معرّفات حديثة للنماذج الظاهرة في الفهرس العام

استخدم [عرض قدرات مسارات النموذج](./model-endpoints.mdx) عند الحاجة إلى تفاصيل مزوّد أو معلمات لنموذج واحد.


## OpenAPI

````yaml ar/openapi/v1/openapi.localized.yaml GET /endpoints
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    واجهة API للبوابة تتيح الوصول إلى نماذج ذكاء اصطناعي متنوعة عبر نقاط نهاية
    متوافقة مع OpenAI.
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: التوجيه العالمي
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /endpoints:
    get:
      tags:
        - Gateway
      summary: عرض نقاط النهاية
      description: >-
        يعرض معرّفات نقاط نهاية البوابة المستندة إلى الإمكانات، مع المسارات
        العامة ومجموعات الوسائط المتعددة وأعداد النماذج والمزوّدين ونماذج أمثلة.
      operationId: listEndpoints
      responses:
        '200':
          description: بيانات وصفية لنقاط النهاية
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointCatalogueResponse'
components:
  schemas:
    EndpointCatalogueResponse:
      type: object
      required:
        - ok
        - endpoints
        - data
        - sample_models
      properties:
        ok:
          type: boolean
          enum:
            - true
        endpoints:
          type: array
          items:
            type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/EndpointCatalogueEntry'
        sample_models:
          type: array
          items:
            $ref: '#/components/schemas/ModelId'
      additionalProperties: false
    EndpointCatalogueEntry:
      type: object
      required:
        - id
        - capability_id
        - public_path
        - collection
        - model_count
        - provider_count
      properties:
        id:
          type: string
        capability_id:
          type: string
        public_path:
          type: string
        collection:
          type: string
        model_count:
          type: integer
          minimum: 0
        provider_count:
          type: integer
          minimum: 0
      additionalProperties: false
    ModelId:
      type: string
      description: >-
        معرّف النموذج. وهو نص يُحدد وقت التشغيل، لذا يمكن استخدام النماذج
        الجديدة دون انتظار تحديث SDK.
      example: ai21/jamba-1.5-large
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: المصادقة باستخدام رمز Bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.